Robot Simulator of the Robotics Group for Self-Organization of Control: OSGText Class Reference

# OSGText Class Reference

Text to be displayed on the hud. More...

`#include <osgprimitive.h>`

Inherits lpzrobots::OSGPrimitive.

Collaboration diagram for OSGText:
[legend]

List of all members.

## Public Member Functions
| OSGText (const std::string &text, int fontsize=12, osgText::Text::AlignmentType align=osgText::Text::LEFT_BASE_LINE)
virtual | ~OSGText ()
virtual void | init (const OsgHandle &osgHandle, Quality quality=Middle)
| Initialisation of the primitive.
virtual void | setMatrix (const osg::Matrix &m4x4)
| Sets the transformation matrix of this object (position and orientation).
virtual osg::Group * | getGroup ()
| returns the group object which is the root of all subcomponents of this primitive
virtual void | setColor (const Color &color)
| sets the color for painting this primitive
virtual osg::Transform * | getTransform ()
| returns a osg transformation object;

## Detailed Description

Text to be displayed on the hud.

## Constructor & Destructor Documentation

OSGText | ( | const std::string & | text,
|  | int | fontsize = `12`,
|  | osgText::Text::AlignmentType | align = `osgText::Text::LEFT_BASE_LINE` |
| ) |  |  |

~OSGText | ( |  | ) | `[virtual]`

## Member Function Documentation

Group * getGroup | ( |  | ) | `[virtual]`

returns the group object which is the root of all subcomponents of this primitive

Reimplemented from OSGPrimitive.

Transform * getTransform | ( |  | ) | `[virtual]`

returns a osg transformation object;

Reimplemented from OSGPrimitive.

void init | ( | const OsgHandle & | osgHandle,
|  | Quality | quality = `Middle` |
| ) |  |  | `[virtual]`

Initialisation of the primitive.

Must in order to place the object into the scene. This function should be overloaded

Implements OSGPrimitive.

void setColor | ( | const Color & | color | ) | `[virtual]`

sets the color for painting this primitive

Reimplemented from OSGPrimitive.

void setMatrix | ( | const osg::Matrix & | m4x4 | ) | `[virtual]`

Sets the transformation matrix of this object (position and orientation).

Reimplemented from OSGPrimitive.

The documentation for this class was generated from the following files:

- osgprimitive.h
- osgprimitive.cpp